package uremote;

import eLights.EField;
import eLights.ETuple;

/**
 * An {@link ETuple} that automatically adds the provided {@link ActionInfo}
 * to its fields.
 *
 * @author Greg Hackmann
 */
public class ActionTuple extends ETuple
{
	/**
	 * Create a tuple with the given ActionInfo in the "ActionTuple" field.
	 *
	 * @param actionInfo the ActionInfo class to put in the "ActionTuple" field
	 */
	public ActionTuple(ActionInfo actionInfo)
	{
		super();
		addField(new EField("ActionTuple", actionInfo));
	}
}
