package uremote;

import eLights.EField;
import eLights.ETuple;

/**
 * An {@link ETuple} that automatically adds the provided
 * {@link AdvertisementInfo} to its fields.
 *
 * @author Greg Hackmann
 */
public class AdvertisementTuple extends ETuple
{
	/**
	 * Create a tuple with the given AdvertisementInfo in the
	 * "AdvertisementTuple" field.
	 *
	 * @param adInfo the AdvertisementInfo class to put in the
	 * "AdvertisementTuple" field
	 */
	public AdvertisementTuple(AdvertisementInfo adInfo)
	{
		super();
		addField(new EField("AdvertisementTuple", adInfo));
	}
}
