package uremote;

/**
 * A class that describes a button's state.
 *
 * @author Greg Hackmann
 */
public class ButtonState extends ComponentState
{
	private boolean lit;
	
	/**
	 * Instantiate a description of a button's state.
	 *
	 * @param enabled true if the button is enabled, false if it is disabled
	 * @param lit true if the button is lit, false if it is not
	 */
	public ButtonState(boolean enabled, boolean lit)
	{
		super(enabled);
		this.lit = lit;
	}
	
	/**
	 * Determine whether or not the button is currently lit.
	 *
	 * @return true if the button is lit, false if it is not
	 */
	public boolean isLit() { return lit; }
}
