package uremote;

import eLights.EField;
import eLights.ETuple;

/**
 * An {@link ETuple} that automatically adds the provided {@link HelpInfo}
 * to its fields.
 *
 * @author Greg Hackmann
 */
public class HelpTuple extends ETuple
{
	/**
	 * Create a tuple with the given HelpInfo in the "HelpTuple" field.
	 *
	 * @param helpInfo the HelpInfo class to put in the "HelpTuple" field
	 */
	public HelpTuple(HelpInfo helpInfo)
	{
		super();
		addField(new EField("HelpTuple", helpInfo));
	}
}
