package uremote;

/**
 * A class that advertises a label's appearance.
 *
 * @author Greg Hackmann
 */
public class ImageAdvertisement extends ComponentAdvertisement
{
	/**
	 * Advertise an image of the default size (1 x 1).
	 *
	 * @param functionName the ID of this image
	 * @param x the X location of the image, in grid squares
	 * @param y the Y location of the image, in grid squares
	 */
	public ImageAdvertisement(String functionName, int x, int y)
	{
		this(functionName, x, y, 1, 1);
	}
	
	/**
	 * Advertise an image of the given size.
	 *
	 * @param functionName the ID of this image
	 * @param x the X location of the image, in grid squares
	 * @param y the Y location of the image, in grid squares
	 * @param width the width of the image, in grid squares
	 * @param height the height of the image, in grid squares
	 */
	public ImageAdvertisement(String functionName, int x, int y, int width, int height)
	{
		super(functionName, x, y, width, height);
	}
}
