package uremote;

/**
 * A class that advertises a label's appearance.
 *
 * @author Greg Hackmann
 */
public class LabelAdvertisement extends ComponentAdvertisement
{
	/**
	 * Advertise a label of the default size (1 x 1).
	 *
	 * @param functionName the ID of this label
	 * @param x the X location of the label, in grid squares
	 * @param y the Y location of the label, in grid squares
	 */
	public LabelAdvertisement(String functionName, int x, int y)
	{
		this(functionName, x, y, 1, 1);
	}
	
	/**
	 * Advertise a label of the given size.
	 *
	 * @param functionName the ID of this label
	 * @param x the X location of the label, in grid squares
	 * @param y the Y location of the label, in grid squares
	 * @param width the width of the label, in grid squares
	 * @param height the height of the label, in grid squares
	 */
	public LabelAdvertisement(String functionName, int x, int y, int width, int height)
	{
		super(functionName, x, y, width, height);
	}
}
