package uremote;

/**
 * A class that describes a label's state.
 *
 * @author Greg Hackmann
 */
public class LabelState extends ComponentState
{
	private String text;
	
	/**
	 * Instantiate a description of a label's state.
	 *
	 * @param enabled true if the label is enabled, false if it is disabled
	 * @param text the text of the label
	 */
	public LabelState(boolean enabled, String text)
	{
		super(enabled);
		this.text = text;
	}
	
	/**
	 * Get the label's text.
	 *
	 * @return the label's text
	 */
	public String getText() { return text; }
}
