package uremote;

/**
 * A class that describes a slider's state.
 *
 * @author Greg Hackmann
 */
public class SliderState extends ComponentState
{
	private String label;
	private int value;
	
	/**
	 * Instantiate a description of a slider's state.
	 *
	 * @param enabled true if the slider is enabled, false if it is disabled
	 * @param label the label of the slider
	 * @param value the current value of the slider
	 */
	public SliderState(boolean enabled, String label, int value)
	{
		super(enabled);
		this.label = label;
		this.value = value;
	}
	
	/**
	 * Get the slider's label.
	 *
	 * @return the slider's label
	 */
	public String getLabel() { return label; }
	/**
	 * Get the slider's current value.
	 *
	 * @return the slider's current value
	 */
	public int getValue() { return value; }
}
