package uremote;

import eLights.EField;
import eLights.ETuple;

/**
 * An {@link ETuple} that automatically adds the provided {@link StateInfo}
 * to its fields.
 *
 * @author Greg Hackmann
 */
public class StateTuple extends ETuple
{
	/**
	 * Create a tuple with the given StateInfo in the "StateTuple" field.
	 *
	 * @param stateInfo the StateInfo class to put in the "StateTuple" field
	 */
	public StateTuple(StateInfo stateInfo)
	{
		super();
		addField(new EField("StateTuple", stateInfo));
	}
}
