package uremote;
import limone.AgentID;

/**
 * @author Greg Hackmann
 */
public interface URemoteGUIManager
{
	/**
	 * Add the specified device to the GUI.
	 *
	 * @param id the device's Agent's ID
	 * @param ad the device's advertisement information
	 * @param help the device's help information
	 */
	public void addDevice(final AgentID id, final AdvertisementInfo ad, final HelpInfo help);
	/**
	 * Remove the specified device from the GUI.
	 *
	 * @param id the ID of the device to be removed
	 */
	public void deleteDevice(final String id);
	/**
	 * Update the GUI to reflect a device's new state.
	 *
	 * @param info the state information of the device to be updated
	 */
	public void update(final StateInfo info);
}