package uremote.awt.ui;

import java.awt.*;

/**
 * A class that represents a blank grid square.
 *
 * @author Greg Hackmann
 */
public class RemoteBlank extends RemoteComponent
{
	/**
	 * Instantiate the RemoteBlank to the given size.  This constructor should
	 * not normally be called by users; use {@link uremote.awt.ui.RemotePage#makeBlank}
	 * instead.
	 *
	 * @param parent the {@link java.awt.Container} that will contain this RemoteBlank
	 * @param x the X coordinate of the blank
	 * @param y the Y coordinate of the blank
	 * @param w the width of the blank, in grid squares
	 * @param h the height of the blank, in grid squares
	 */
	public RemoteBlank(Container parent, int x, int y, int w, int h)
	{
		super(parent, "_dummy", x, y, w, h);
	}
		
	/* All of these methods have no meaning for a blank component that should
	   never be drawn, so they do nothing. */
	public boolean isViewable() { return false; }
	public void setViewable(boolean dummy) { }
}
