package uremote.awt.ui;

import java.awt.*;

public class RemoteImage extends RemoteComponent
{
	private Image image = null;
	
	public RemoteImage(Container parent, String id, int x, int y, int gridWidth, int gridHeight)
	{
		super(parent, id, x, y, gridWidth, gridHeight);
	}
	
	public void setImage(Image i)
	{
		image = i;		
		repaint();
		getParent().invalidate();
		getParent().validate();
	}
	
	public Dimension getPreferredSize()
	{
		if(image == null) return super.getPreferredSize();
		return new Dimension((int)image.getWidth(null), (int)image.getHeight(null));
	}

	public void paint(Graphics g)
	{
		super.paint(g);
		if(image != null) g.drawImage(image, 0, 0, getWidth(), getHeight(), null);
	}
}
