package uremote.swt;

import limone.LimoneServer;
import limone.util.Launcher;
import uremote.swt.ui.*;

/**
 * A class that launches Limone and the Universal Remote using the SWT GUI.
 * This launcher should be used on OS X, since registering the app with the dock
 * requires that the GUI be opened in the main thread.
 *
 * @author Greg Hackmann
 */
public class SWTCarbonRemoteLauncher
{
	static RemoteDisplay display;
	
	private SWTCarbonRemoteLauncher()
	{
	}
	
	/**
	 * Start the Limone Server and the Universal Remote.
	 *
	 * @param args a list of command-line arguments (these will not be used)
	 */
	public static void main(String [] args)
	{
		display = new RemoteDisplay();
		display.onClose(new Runnable()
		{
			public void run()
			{
				LimoneServer.getServer().shutdown();
			}
		});

		Launcher.main(new String [] { "-newServer", "-mPort", "2223", "-sPort", "2222" } );
		Launcher.main(new String [] { "-load", "uremote.swt.SWTCarbonRemoteAgent", "-name", "Remote", "-noExit", "-mPort", "2223", "-sPort", "2222" } );
		
		display.open();
	}
}

