package uremote.swt.ui;

import org.eclipse.swt.graphics.Image;
import org.eclipse.swt.widgets.Composite;

/**
 * A class that represents a blank grid square.
 *
 * @author Greg Hackmann
 */
public class RemoteBlank extends RemoteButton
{
	/**
	 * Instantiate the RemoteBlank to the given size.  This constructor should
	 * not normally be called by users; use {@link uremote.swt.ui.RemotePage#makeBlank}
	 * instead.
	 *
	 * @param parent the Composite that will contain this RemoteButton
	 * @param w the width of a single grid square, in pixels
	 * @param h the height of a single grid square, in pixels
	 */
	public RemoteBlank(Composite parent, int w, int h)
	{
		super(parent, "_dummy", w, h);
	}
	
		
	/* All of these methods have no meaning for a blank component that should
	   never be drawn, so they do nothing. */
	 
	public Image getImage() { return null; }
	public void setImage(Image dummy) { }
	public boolean isViewable() { return false; }
	public void setViewable(boolean dummy) { }
}
