package uremote.swt.ui;

import org.eclipse.swt.graphics.*;
import org.eclipse.swt.events.*;
import org.eclipse.swt.widgets.*;

public class RemoteImage extends RemoteComponent
{
	/**
	 * Instantiate the RemoteImage to the given size.  This constructor should
	 * not normally be called by users; use {@link uremote.swt.ui.RemotePage#makeImage}
	 * instead.
	 *
	 * @param parent the Composite that will contain this RemoteImage
	 * @param id the function name of the image
	 * @param gridWidth the width of a single grid square, in pixels
	 * @param gridHeight the height of a single grid square, in pixels
	 */
	public RemoteImage(Composite parent, String id, int gridWidth, int gridHeight)
	{
		super(parent, id, gridWidth, gridHeight);
	}
	
	public void setImage(Image i)
	{
		super.setImage(i);
		redraw();
	}

	public void onPaint(PaintEvent e)
	{
		GC gc = e.gc;
		Image img = getImage();
		if(img != null) gc.drawImage(img, 0, 0, img.getImageData().width, img.getImageData().height, 0, 0, calcSize().x, calcSize().y);
		/* If we have an image, draw it on the canvas */
	}
}
