package uremoteagents;

import java.awt.GridLayout;
import java.awt.event.*;
import java.util.Arrays;
import java.util.Vector;

import javax.swing.*;

import limone.util.Launcher;

public class RemoteAgentLauncher extends JFrame implements ActionListener
{
	private static final String commonAgents [] = { "Mouse", "Screenshot", "Weather", "X10" };
	private static final String windowsAgents [] = { "Camera", "PowerDVD", "Printer", "Winamp" };
	private static final String macAgents [] = { "DVDPlayer", "iPhoto", "iTunes" };
	private static final String agents [];
	static
	{
		Vector agentVector = new Vector();
		for(int i = 0; i < commonAgents.length; i++) agentVector.add(commonAgents[i]);
		
		if(System.getProperty("os.name").toLowerCase().indexOf("windows") > -1)
			for(int i = 0; i < windowsAgents.length; i++) agentVector.add(windowsAgents[i]);
		
		if(System.getProperty("os.name").toLowerCase().indexOf("mac os") > -1)
		{
			for(int i = 0; i < macAgents.length; i++) agentVector.add(macAgents[i]);
			agentVector.remove("X10");
		}
		
		agents = (String [])agentVector.toArray(new String [] { });
		Arrays.sort(agents);
	}
	
	private JComboBox agentList = null;

	public RemoteAgentLauncher()
	{
		super("Universal Remote Agents");
		
		JPanel panel = new JPanel(new GridLayout(0, 1));
		setContentPane(panel);
		
		panel.add(new JLabel("Please select an agent to launch."));
		
		agentList = new JComboBox();
		for (int i = 0; i < agents.length; i++)
			agentList.addItem(agents[i] + "Agent");
		JPanel agentPanel = new JPanel();
		agentPanel.add(agentList); panel.add(agentPanel);
		
		JButton launch = new JButton("Launch");
		launch.addActionListener(this);
		JPanel launchPanel = new JPanel();
		launchPanel.add(launch); panel.add(launchPanel);
		
		addWindowListener(new WindowAdapter()
		{
			public void windowClosing(WindowEvent e)
			{
				System.exit(0);
			}
		});
		
		pack();
		show();
	}
	
	public static void main(String[] args)
	{
		Launcher.main(new String [] { "-newServer", "-noExit", "-mPort", "2223", "-sPort", "2222" });
		new RemoteAgentLauncher();
	}

	public void actionPerformed(ActionEvent e)
	{
		new Thread()
		{
			public void run()
			{
				Launcher.main(new String [] { "-load", "uremote.GenericDeviceAgent", "-name", "uremoteagents." + agentList.getSelectedItem(), "-noExit", "-mPort", "2223", "-sPort", "2222" } );
			}
		}.start();
	}
}